Package net.sourceforge.jiu.color.adjustment

# Class NormalizeHistogram

java.lang.Object
net.sourceforge.jiu.ops.Operation
net.sourceforge.jiu.ops.ImageToImageOperation
net.sourceforge.jiu.ops.LookupTableOperation
net.sourceforge.jiu.color.adjustment.NormalizeHistogram

public class NormalizeHistogram extends LookupTableOperation
Normalize the image using histogram information, separately for each channel. Works for intensity-based image types like `Gray8Image` or `RGB24Image`.

Since:
  0.6.0
Author:
  Marco Schmidt

## Constructor Summary

Constructors
Constructor
Description
`NormalizeHistogram(IntegerImage in)`
Creates an object of this class and initializes the lookup tables with the argument input image.

## Method Summary

Modifier and Type
Method
Description
`private void`
`initTables(IntegerImage in)`

### Methods inherited from class net.sourceforge.jiu.ops.LookupTableOperation

`getNumTables, getTable, prepareImages, process, setNumTables, setTable, setTables`

### Methods inherited from class net.sourceforge.jiu.ops.ImageToImageOperation

`canInputAndOutputBeEqual, ensureImagesHaveSameResolution, ensureInputImageIsAvailable, ensureOutputImageResolution, getInputImage, getOutputImage, setCanInputAndOutputBeEqual, setInputImage, setOutputImage`

### Methods inherited from class net.sourceforge.jiu.ops.Operation

`addProgressListener, addProgressListeners, getAbort, removeProgressListener, setAbort, setProgress, setProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NormalizeHistogram

public NormalizeHistogram(IntegerImage in) throws OperationFailedException
Creates an object of this class and initializes the lookup tables with the argument input image.

Throws:
  `OperationFailedException`

## Method Details

### initTables

private void initTables(IntegerImage in) throws OperationFailedException

Throws:
  `OperationFailedException`